Contents

# Shell Function

Pokreće drugu aplikaciju i definira stil prozora, ako je potrebno.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Ime putanje

Name of the program that you want to start, optionally with complete path and/or arguments.

### Windowstyle

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Meaning
--- | ---
0 | Pažnja je na sakrivenom prozoru programa. Not implemented in LibreOffice.
1 | Fokus je na programskom prozoru u standardnoj veličini Not implemented in LibreOffice.
2 | Fokus je na minimaliziranom programskom prozoru
3 | Fokus je na maksimiziranom programskom prozoru
4 | Standardna veličina programskog prozora, bez fokusiranja Not implemented in LibreOffice.
6 | Minimalizirani programski prozor, fokus ostaje na aktivnom prozoru Not implemented in LibreOffice.
10 | Full-screen display.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Param

String that specifies additional arguments passed to the program.

### bSync

If this value is set to true, the Shell command and all LibreOffice tasks wait until the shell process completes. If the value is set to false, the shell returns directly. The default value is false.

### Error codes:

5 Invalid procedure call

53 - Dokument nije pronađen

73 Not implemented

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub